Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

Dott. Riccardo Bianconi
The new Air version is released.

Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex + Air sdk combination on Flash Builder 4.6?
Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

Elena Geller
I changed AIR version in Installer-XML to 3.6 (from 3.4) and merged
Flex4.9 and AIR 3.6, but didn't tested yet.
Am 13.02.2013 22:42, schrieb Dott. Riccardo Bianconi:
> The new Air version is released.
>
> Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex + Air sdk combination on Flash Builder 4.6?
>


Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

jmclean
Administrator
In reply to this post by Dott. Riccardo Bianconi
Hi,

> Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex + Air sdk combination on Flash Builder 4.6?
It's not been fully tested yet but it is possible. Don't forget to change the Flash Player version to 11.5 and swf version to 19 in the flex config file.

Thanks,
Justin


Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

Subscriptions
I am extremely lazy, so would be awfully nice to have options in
installer to select which AIR SDK and playerglobal version to use...


On 13/02/2013 22:03, Justin Mclean wrote:
> Hi,
>
>> Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex + Air sdk combination on Flash Builder 4.6?
> It's not been fully tested yet but it is possible. Don't forget to change the Flash Player version to 11.5 and swf version to 19 in the flex config file.
>
> Thanks,
> Justin
>
>


--
Lee Burrows
ActionScripter

Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

jmclean
Administrator
In reply to this post by jmclean
Hi,

Sorry make that Flash Player 11.6 not 11.5. If you're on OSX and have the develop branch of the SDK checked out you might want to try the ide/addAIRtoSDK.sh script.

Thanks,
Justin


Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

OmPrakash Muppirala
In reply to this post by Subscriptions
On Wed, Feb 13, 2013 at 2:14 PM, Lee Burrows
<[hidden email]>wrote:

> I am extremely lazy, so would be awfully nice to have options in installer
> to select which AIR SDK and playerglobal version to use...
>
>
This is in my list of things to-do, but has very low priority now.  If you
can make this change and submit a patch, that would be awesome :-)

Thanks,
Om



>
>
> On 13/02/2013 22:03, Justin Mclean wrote:
>
>> Hi,
>>
>>  Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex +
>>> Air sdk combination on Flash Builder 4.6?
>>>
>> It's not been fully tested yet but it is possible. Don't forget to change
>> the Flash Player version to 11.5 and swf version to 19 in the flex config
>> file.
>>
>> Thanks,
>> Justin
>>
>>
>>
>
> --
> Lee Burrows
> ActionScripter
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

jmclean
Administrator
In reply to this post by Subscriptions
Hi,

> I am extremely lazy, so would be awfully nice to have options in installer to select which AIR SDK and playerglobal version to use...

Also if you're on OSX in the ide directory (again in the develop branch) are two other scripts setFlashPlayerVerions.sh which configures an SDK to use a Flash Player version and checkAllPlayerGlobals.sh which checks and downloads if needed all Flash Player playerglobal.swc versions.

It's possible that a future versions of the installer will let you select the version but no one is currently working on that feature that I'm aware of.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

Subscriptions
In reply to this post by OmPrakash Muppirala
I did start my email with "I am extremely lazy" so asking me to submit a
patch is fairly optimistic of you!

Seriously though, it would be nice to contribute more than pithy emails,
so i'm on it.

On 13/02/2013 22:22, Om wrote:

> On Wed, Feb 13, 2013 at 2:14 PM, Lee Burrows
> <[hidden email]>wrote:
>
>> I am extremely lazy, so would be awfully nice to have options in installer
>> to select which AIR SDK and playerglobal version to use...
>>
>>
> This is in my list of things to-do, but has very low priority now.  If you
> can make this change and submit a patch, that would be awesome :-)
>
> Thanks,
> Om
>
>
>
>>
>> On 13/02/2013 22:03, Justin Mclean wrote:
>>
>>> Hi,
>>>
>>>   Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex +
>>>> Air sdk combination on Flash Builder 4.6?
>>>>
>>> It's not been fully tested yet but it is possible. Don't forget to change
>>> the Flash Player version to 11.5 and swf version to 19 in the flex config
>>> file.
>>>
>>> Thanks,
>>> Justin
>>>
>>>
>>>
>> --
>> Lee Burrows
>> ActionScripter
>>
>>


--
Lee Burrows
ActionScripter

Reply | Threaded
Open this post in threaded view
|

Re: Apache Flex 4.9 + Adobe Air 3.6 + Flash Builder 4.6

OmPrakash Muppirala
On Wed, Feb 13, 2013 at 2:38 PM, Lee Burrows
<[hidden email]>wrote:

> I did start my email with "I am extremely lazy" so asking me to submit a
> patch is fairly optimistic of you!
>

Haha, I think I ignored that part :-)


>
> Seriously though, it would be nice to contribute more than pithy emails,
> so i'm on it.


Fantastic!  Please move the thread to [hidden email] when you discuss
this topic further.

Thanks,
Om


>
>
> On 13/02/2013 22:22, Om wrote:
>
>> On Wed, Feb 13, 2013 at 2:14 PM, Lee Burrows
>> <[hidden email]>**wrote:
>>
>>  I am extremely lazy, so would be awfully nice to have options in
>>> installer
>>> to select which AIR SDK and playerglobal version to use...
>>>
>>>
>>>  This is in my list of things to-do, but has very low priority now.  If
>> you
>> can make this change and submit a patch, that would be awesome :-)
>>
>> Thanks,
>> Om
>>
>>
>>
>>
>>> On 13/02/2013 22:03, Justin Mclean wrote:
>>>
>>>  Hi,
>>>>
>>>>   Is it possible to combine Flex 4.9 width Air 3.6 and import the Flex +
>>>>
>>>>> Air sdk combination on Flash Builder 4.6?
>>>>>
>>>>>  It's not been fully tested yet but it is possible. Don't forget to
>>>> change
>>>> the Flash Player version to 11.5 and swf version to 19 in the flex
>>>> config
>>>> file.
>>>>
>>>> Thanks,
>>>> Justin
>>>>
>>>>
>>>>
>>>>  --
>>> Lee Burrows
>>> ActionScripter
>>>
>>>
>>>
>
> --
> Lee Burrows
> ActionScripter
>
>